xwdssid_t Struct Reference

cross word triphone model structure More...

`#include <dict2pid.h>`

## Data Fields

s3ssid_t * | ssid
| Senone Sequence ID list for all context ciphones.
s3cipid_t * | cimap
| Index into ssid[] above for each ci phone.
int32 | n_ssid
| #Unique ssid in above, compressed ssid list

## Detailed Description

cross word triphone model structure

Definition at line 73 of file dict2pid.h.

## Field Documentation

## cimap

s3cipid_t* xwdssid_t::cimap

Index into ssid[] above for each ci phone.

Definition at line 75 of file dict2pid.h.

Referenced by dict2pid_add_word(), dict2pid_get_rcmap(), ngram_search_exit_score(), and ps_alignment_populate().

## n_ssid

int32 xwdssid_t::n_ssid

#Unique ssid in above, compressed ssid list

Definition at line 76 of file dict2pid.h.

Referenced by dict2pid_add_word(), get_rc_nssid(), and ngram_search_alloc_all_rc().

## ssid

s3ssid_t* xwdssid_t::ssid

Senone Sequence ID list for all context ciphones.

Definition at line 74 of file dict2pid.h.

Referenced by dict2pid_add_word(), ngram_search_alloc_all_rc(), and ps_alignment_populate().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/dict2pid.h